Summary: Generic implementation of Sokoban game for X11
Name: xsok
Version: 1.02
Release: 3
Copyright: GPL
Group: Amusements/Games
Source0: ftp://tsx-11.mit.edu/pub/sources/usr.bin.X11/%{name}-%{version}-src.tar.gz
Source1: xsok.desktop
Patch: xsok-%{version}.patch
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
xsok is a single player strategic game, a superset of the well known Sokoban
game. The target of Sokoban is to push all the objects into the score area of
each level.

%prep
%setup -q
%patch0 -p1 -b .mike

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make "INSTALL_PREFIX=$RPM_BUILD_ROOT" install
gzip -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xsok/*.gz
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 644 $RPM_SOURCE_DIR/xsok.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc etc/* doc/xsok.tex README doc/cyberbox.doc
%config /usr/X11R6/lib/X11/app-defaults/XSok
%config /etc/X11/applnk/Games/xsok.desktop
/usr/X11R6/bin/xsok
/usr/X11R6/man/man6/xsok.6x
/usr/X11R6/lib/X11/xsok
%attr(777, root, root) %dir /var/lib/games/xsok
%attr(666, root, root) /var/lib/games/xsok/[A-z]*.score

%changelog
* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file, added desktop entry. 

* Sun Jan 03 1999 Karl-Martin Skontorp <karl-ms@online.no>
- Maintainer for RHCN: Karl-Martin Skontorp

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Using %attr to build the package as an ordinary user.

* Sun Dec 28 1997 Peter Soos <sp@osb.hu>
- Added wmconfig support

* Tue Dec 13 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

